Package Gnumed :: Package wxpython :: Module gmSnellen :: Class cSnellenChart |
[frames] | no frames]

# Class cSnellenChart

source code

    wx.Frame --+
               |
              cSnellenChart

Instance Methods
convert(self, X, Y) Converts a pair of co-ordinates from block co-ords to real. | source code
O(self) Draws the letter O | source code
Q(self) | source code
C(self) | source code
G(self) | source code
W(self) | source code
V(self) | source code
T(self) | source code
I(self) | source code
A(self) | source code
F(self) | source code
E(self) | source code
BackE(self) | source code
UpE(self) | source code
DownE(self) | source code
H(self) | source code
K(self) | source code
L(self) | source code
Z(self) | source code
X(self) | source code
NM(self) Sidebars common to N and M | source code
N(self) | source code
BackN(self) | source code
M(self) | source code
gamma(self) | source code
delta(self) | source code
pi(self) | source code
cross(self) | source code
box(self) | source code
star(self) Star of 5 points | source code
__init__(self, width, height, alpha=symbol, mirr=0, parent=None) Initialise. | source code
OnPaint(self, event) | source code
OnKeyUp(self, key) | source code
OnLeftDown(self, key) | source code
OnRightDown(self, key) | source code
OnDClick(self, key) | source code
OnClose(self, event) | source code
DestroyWhenApp(self) | source code
set_distance(self, n) Sets standard viewing distance, against which patient is compared. | source code

Class Variables
| latin = `[A, C, C, E, F, G, H, I, K, L, M, N, O, Q, T, V, W, X, Z]`
| fourE = `[E, UpE, DownE, BackE]`
| greek = `[A, gamma, delta, E, Z, H, I, K, M, N, O, pi, T, X]`
| cyrillic = `[A, delta, E, BackN, K, M, H, O, pi, T, C, X]`
| symbol = `[O, cross, star, box]`
| alphabets = `{_("Latin"): latin, _("Greek"): greek, _("Cyrillic`...``

Method Details

### convert(self, X, Y) | source code
Converts a pair of co-ordinates from block co-ords to real. X, Y -- define top-left corner of current character

### __init__(self, width, height, alpha=symbol, mirr=0, parent=None) (Constructor) | source code
Initialise. width and height define the physical size of the CRT in cm.

### set_distance(self, n) | source code
Sets standard viewing distance, against which patient is compared. n is an index to the list self.standard_patient_chart_distances

Class Variable Details

  ### alphabets Value:
      {_("Latin"): latin, _("Greek"): greek, _("Cyrillic"): cyrillic, _("Fou
      r Es"): fourE, _("Symbol"): symbol}